net.sf.okapi.common.filters

## Class FilterState

- java.lang.Object
- - net.sf.okapi.common.filters.FilterState

-     public class FilterState
      extends java.lang.Object

  Placeholder class until we figure what state info we need to pass to the subfilters
  Author:
    Jim Hargrave

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FilterState.FILTER_STATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterState()`
    `FilterState(FilterState.FILTER_STATE state, java.lang.String parentId, ISkeleton startSkeleton, ISkeleton endSkeleton, IdGenerator idGenerator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISkeleton` | `getEndSkeleton()`
    `IdGenerator` | `getIdGenerator()`
    `java.lang.String` | `getParentId()`
    `java.lang.String` | `getParentTextUnitName()`
    `ISkeleton` | `getStartSkeleton()`
    `FilterState.FILTER_STATE` | `getState()`
    `void` | `setEndSkeleton(ISkeleton endSkeleton)`
    `void` | `setIdGenerator(IdGenerator idGenerator)`
    `void` | `setParentId(java.lang.String parentId)`
    `void` | `setParentTextUnitName(java.lang.String parentTextUnitName)`
    `void` | `setStartSkeleton(ISkeleton startSkeleton)`
    `void` | `setState(FilterState.FILTER_STATE state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterState

          public FilterState(FilterState.FILTER_STATE state,
                     java.lang.String parentId,
                     ISkeleton startSkeleton,
                     ISkeleton endSkeleton,
                     IdGenerator idGenerator)

    - #### FilterState

          public FilterState()

  - ### Method Detail

    - #### getState

          public FilterState.FILTER_STATE getState()

    - #### setState

          public void setState(FilterState.FILTER_STATE state)

    - #### getParentId

          public java.lang.String getParentId()

    - #### setParentId

          public void setParentId(java.lang.String parentId)

    - #### getParentTextUnitName

          public java.lang.String getParentTextUnitName()

    - #### setParentTextUnitName

          public void setParentTextUnitName(java.lang.String parentTextUnitName)

    - #### getStartSkeleton

          public ISkeleton getStartSkeleton()

    - #### setStartSkeleton

          public void setStartSkeleton(ISkeleton startSkeleton)

    - #### getEndSkeleton

          public ISkeleton getEndSkeleton()

    - #### setEndSkeleton

          public void setEndSkeleton(ISkeleton endSkeleton)

    - #### getIdGenerator

          public IdGenerator getIdGenerator()

    - #### setIdGenerator

          public void setIdGenerator(IdGenerator idGenerator)